<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.appprocess.AppProcessActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:ignore="UselessParent">

        <FrameLayout
            android:id="@+id/fl_fanhui"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="20dp"
            tools:ignore="UselessParent">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/quit"
                tools:ignore="ContentDescription" />
        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="App Process"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </FrameLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="20dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_percent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:includeFontPadding="false"
            android:textSize="54sp"
            android:textStyle="bold"
            tools:text="68" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:layout_marginStart="2dp"
            android:layout_marginBottom="5dp"
            android:includeFontPadding="false"
            android:text="%"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </LinearLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="16dp"
        android:text="RAM Used"
        android:textSize="15sp"
        android:textStyle="bold"
        tools:ignore="HardcodedText" />

    <FrameLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="18dp">

        <ProgressBar
            android:id="@+id/pb_ram"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="345dp"
            android:layout_height="25dp"
            android:max="100"
            android:progressDrawable="@drawable/shape_ram_pb"
            tools:progress="50" />

        <TextView
            android:id="@+id/tv_size"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="20dp"
            android:text="5.6GB/7.9GB"
            android:textSize="12sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />
    </FrameLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="25dp"
        android:text="Manager user apps"
        android:textColor="#999999"
        android:textSize="15sp"
        tools:ignore="HardcodedText" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_app_manager" />

        <ProgressBar
            android:id="@+id/pb_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center" />
    </FrameLayout>


</LinearLayout>